package com.bocloud.cmp.provider.storage;

import com.bocloud.cmp.model.xsky.FileUserGroupModel;
import com.bocloud.cmp.model.xsky.FileUserModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;

public interface FileUserProvider extends SuperProvider {
    default BocloudResult list() {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult create(FileUserModel fileUser) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult remove(String uuid) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult modify(FileUserModel fileUser) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult listUserGroups() {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult createUserGroup(FileUserGroupModel model) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult removeUserGroup(String uuid) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult removeGroupMember(FileUserGroupModel model) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult addGroupMember(FileUserGroupModel model) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult updateUserGroup(FileUserGroupModel model) {
        return new BocloudResult(false, "暂不支持");
    }

    default BocloudResult modifyUserGroup(FileUserGroupModel model) {
        return new BocloudResult(false, "暂不支持");
    }
}
